/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_EXP_BIT_MULTIPLIER_H__
#define __TK_EXP_BIT_MULTIPLIER_H__

#include <gtkmm.h>

#include "experimenter/combo_box_spin.h"

namespace TkResolver {
  namespace Experimenter {

    class BitMultiplier : public ComboBoxSpin
      {
      private:
	Gtk::Adjustment _adjustment;
      public:
	BitMultiplier();
	unsigned get_bit_multiplier() const;
      };

  } /* namespace Experimenter */
}; /* namespace TkResolver */

#endif /* __TK_EXP_BIT_MULTIPLIER_H__ */
