/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2008 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "libtkcommon/debug.h"
#include "libtkquery/query.h"

int main(int argc, char **argv)
{
  TkResolver::String data_source_name("TkResolver++");
  TkResolver::String username("psi");
  TkResolver::String password("isp");

  TkResolver::Db::Database database(data_source_name, username, password);
  
  for (int i = 1; i < argc; ++i)
    {
      WDEBUG_OUT << TkResolver::Query::build_query(&database, argv[i]) << std::endl;
    }
}
